Subject: Offline Message from Charles Ludwig: I currently own 2 EB5 bikes, on one of t
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 02 Oct 2021 15:02:19 -0000

From: Charles Ludwig <[email-masked]>
Phone: 5136338646
Location: Englewood, United States
URL: https://swagtron.com/electric-bikes/
Department: SwagTron

I currently own 2 EB5 bikes, on one of them the power button is not working properly, I can push the button and the power is on but if you release the button it won’t stay on. Is there a way to repair or replace the power button. Bike was purchased in 2019.

----
Zopim
https://www.zopim.com